

// Persistence of Vision Ray Tracer Scene Description File
// Archivo principal   : Arena.pov
// Includes            : Jugador.inc
//                       Gradas.inc
//                       Halo.inc
//                       Banq.inc
//                       Estruc.inc
// Versin             : 3.02 para Windows
// Descrip             : Amsterdam Arena
// Inicio              : ?
// Conclusin          : 14/6/98
// Autor               : No Casas, "YO"

// Nota previa: Este fichero POV fue escrito para generar escenas inspiradas en la
// conquista de la 7 Copa de Europa por el Madrid, no para realizar una copia del
// estadio o nada por el estilo.

camera{
   location <120,80,-80>
   look_at < -50,0,0>
}

light_source
{
  0*x                     // light's position (translated below)
  color rgb <1,1,1>       // light's color
  spotlight               // this kind of light source
  cylinder                // this variation
  translate <0, 80, 0> // <x y z> position of light
  point_at <0, 0, 0>      // direction of spotlight
  radius 10000                // hotspot (inner, in degrees)
  tightness 10            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 10030               // intensity falloff radius (outer, in degrees)
}

light_source
{
  0*x                     // light's position (translated below)
  color rgb <1,1,1>       // light's color
  spotlight               // this kind of light source
  cylinder                // this variation
  translate <0, 75, 0> // <x y z> position of light
  point_at <0,80 , 0>      // direction of spotlight
  radius 10000                // hotspot (inner, in degrees)
  tightness 10            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 11000               // intensity falloff radius (outer, in degrees)
}

light_source
{
  0*x                     // light's position (translated below)
  color rgb <1,1,1>       // light's color
  spotlight               // this kind of light source
  cylinder                // this variation
  translate <50, 80, 0> // <x y z> position of light
  point_at <30, 0, 0>      // direction of spotlight
  radius 1000                // hotspot (inner, in degrees)
  tightness 70            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 3000               // intensity falloff radius (outer, in degrees)
}

light_source
{
  0*x                     // light's position (translated below)
  color rgb <1,1,1>       // light's color
  spotlight               // this kind of light source
  cylinder                // this variation
  translate <-50, 80, 0> // <x y z> position of light
  point_at <-30, 0, 0>      // direction of spotlight
  radius 1000                // hotspot (inner, in degrees)
  tightness 70            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 3000               // intensity falloff radius (outer, in degrees)
}

background { rgb<0.2, 0.2,0.8>}

//Jugadores

#include "jugador.inc"

#declare grada = object{#include "gradas.inc"}


//Gradas de abajo

//gradasnorte

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 translate<-155,0,0>
 scale <1,1,0.7>
}

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,45,0>
 translate <-140,0,70>
 scale <1,1,0.7>
}
object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,-45,0>
 translate <-140,0,-70>
 scale <1,1,0.7>
}

//Gradassur

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,180,0>
 translate<155,0,0>
 scale <1,1,0.7>
}

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,-225,0>
 translate <140,0,70>
 scale <1,1,0.7>
}
object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,225,0>
 translate <140,0,-70>
 scale <1,1,0.7>
}

//Gradas izda y drcha abajo
object{
   grada
   rotate <0,180,0>
   translate <0,0,-200>

}


object{
   grada
   translate <0,0,200>
}


//Gradas de arriba


//gradasnorte

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 translate<-175,40,0>
 scale <1,1,0.7>
}

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,45,0>
 translate <-160,40,90>
 scale <1,1,0.7>
}
object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,-45,0>
 translate <-160,40,-90>
 scale <1,1,0.7>
}

//Gradassur

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,180,0>
 translate<175,40,0>
 scale <1,1,0.7>
}

object{
 grada
 translate <0,0,122>
 rotate <0,-90,0>
 rotate <0,-225,0>
 translate <160,40,90>
 scale <1,1,0.7>
}
object{
 grada
 translate <0,40,122>
 rotate <0,-90,0>
 rotate <0,225,0>
 translate <160,0,-90>
 scale <1,1,0.7>
}

//Gradas izda y drcha arriba

object{
   grada
   rotate <0,180,0>
   translate <0,40,-220>

}

object{
   grada
   translate <0,40,220>
}


// Campo

box {
    <-100,-60,0> <100,60,-3>
    pigment {image_map{tga "c:\noe\futbol.tga" map_type 0 once} scale<200,120,120> translate<-100,-60,0>}
    rotate <90,0,0>
}

plane {
      y,2.8
      pigment{rgb<0.9,0.9,0.9>}
}


//Estructura tubular del Amsterdam Arena
object{
difference {
   cylinder {
         <0,0,0>, <0,250,0>, 250

   }
   cylinder {
         <0,-10,0>, <0,260,0>, 200

   }

}
scale <1.5,1,0.9>
scale <0.75,0.75,0.75>
pigment{ rgb <0.6,0.6,0.6>}
}




//Vallas

object{
  box{<0,-1,-65> <0,7,65>}
  pigment{rgb<1,1,1>}
  rotate <0,0,45>
  translate <-110,0,0>
}

object{
  box{<0,-1,-65> <0,7,65>}
  pigment{rgb<1,1,1>}
  rotate<0,0,-45>
  translate <110,0,0>
}
object{
  box{<0,-1,-65> <0,7,65>}
  scale <1,1,1.72>
  rotate <0,0,45>
  rotate <0,90,0>
  translate <0,0,60>
  pigment{rgb<1,1,1>}
}
object{
  box{<0,-1,-65> <0,7,65>}
  scale <1,1,1.72>
  rotate <0,0,-45>
  rotate <0,90,0>
  translate <0,0,-60>
  pigment{rgb<1,1,1>}
}



//Estructura superior

#include "Estruc.inc"


//bengalas
#declare ben= object{
 #include "halo.inc"
}

object{ ben scale<4,4,5> translate <-130,20,30> }

//Portera

#declare porteria= object{
union{
  cylinder{<0,0,-15><0,5,-15>,0.1}
  cylinder{<0,0,15> <0,5,15 >,0.1}
  cylinder{<0,5,-15><0,5,15>,0.1}
}
pigment{rgb<1,1,1>}
}

object{porteria scale <1,1.1,1.2> translate <-86,3,0>}
object{porteria scale <1,1.1,1.2> translate <86,3,0>}


//Banquillos

#include "Banq.inc"
object{
 banquillo
 scale <0.4,0.4,0.4>
 translate <10,3,-55>
}

object{
 banquillo
 scale <0.4,0.4,0.4>
 translate <-10,3,-55>
}
