
//Se definen las texturas del mech

#declare tmech = texture{
 pigment{
   wrinkles
   color_map{ [0 Gold] [0.5 Gold] [0.5 Brown] [1 Brown]}
 }

 finish{
  specular 0.7
  brilliance 15
  metallic
 }
 scale<7,7,7>
 }

 #declare cristal= texture{
  pigment{rgbf<0.7,0.7,1,0.5>}
  finish{specular 0.9 reflection 1}
 }


//En estas lneas se declaran los nombres de las diferentes partes del mech

#declare cadera=object{#include "mech22.inc" texture{tmech}}          //La cadera
#declare cannon= object{#include "mech1.inc" texture{tmech}}          //El can
#declare dedo3= object{#include "mech2.inc" texture{tmech}}           //Un dedo
#declare dedo2= object{#include "mech3.inc" texture{tmech}}           //Otro
#declare dedo1= object{#include "mech4.inc" texture{tmech}}           //Otro
#declare anteb_iz= object{#include "mech5.inc" texture{tmech}}        //Antebrazo izquierdo
#declare muslo_der=object{#include "mech6.inc" texture{tmech}}        //Muslo derecho
#declare muslo_iz=object{#include "mech7.inc" texture{tmech}}         // "    izdo.
#declare pierna_der=object{#include "mech8.inc" texture{tmech}}       //Pierna drcha.
#declare pierna_iz=object{#include "mech9.inc" texture{tmech}}        //  "     iz.
#declare hombro_iz=object{#include "mech10.inc" texture{tmech}}       // Hombro iz.
#declare hombro_der=object{#include "mech11.inc" texture{tmech}}      //   "    drcho.
#declare pie_iz=object{#include "mech12.inc" texture{tmech}}          //Pie iz.
#declare pie_der=object{#include "mech13.inc"texture{tmech}}         //Pie drcho.
#declare pectoral=object{
 union{
   object{#include "mech20.inc"}                       //Pectoral
   object{#include "mech19.inc"}                       //Misil iz.
   object{#include "mech21.inc"}                       //  "   drcho.
 }
 texture{tmech}
}

#declare cabina= object{
 union{
   object{#include "mech24.inc" texture{tmech}}               //El habitculo de la cabina
   object{#include "mech23.inc" texture{cristal}}             //El cristal
   object{#include "mech14.inc" pigment{rgb<0.8,0.3,0.3>}}    //La cabeza del piloto
   object{#include "mech15.inc" pigment{rgb<0.6,0.6,0.6>}}    //El cuerpo del piloto
   object{#include "mech16.inc" pigment{rgb<0.8,0.8,0.8>}}    //El panel de mandos izquierdo
   object{#include "mech17.inc" pigment{rgb<0.8,0.8,0.8>}}    //El panel de mandos derecho
   object{#include "mech18.inc" pigment{rgb<1,1,0>}}          //El asiento
 }
}



//Ahora se definen las jerarquas, el eje local (punto de pivotaje) y la rotacin de
//cada parte del mech segn las variables declaradas antes

#declare mech= object{
union{
union{
 object{pectoral}
 //Brazo izquierdo. . . . . .
 union{
   object{hombro_iz}
   union{
     object{anteb_iz}
     union{
      object{dedo1 translate<-158,-134,40> rotate<rdedo1x,rdedo1y,rdedo1z> translate<158,134,-40>}
      object{dedo2 translate<-159,-134,40> rotate<rdedo2x,rdedo2y,rdedo2z> translate<154,134,-40>}
      object{dedo3 translate<-158,-134,40> rotate<rdedo3x,rdedo3y,rdedo3z> translate<158,134,-40>}
     }
   translate<-154,-212,-24>
   rotate<ranteb_izx,ranteb_izy,ranteb_izz>
   translate<154,212,24>
   }
 translate<-154,-287,11>
 rotate<rhombro_izx,rhombro_izy,rhombro_izz>
 translate<154,287,-11>
 }
 //Brazo derecho . . . . .
 union{
   object{hombro_der}
   object{cannon translate<154,-210,15> rotate<rcannonx,rcannony,rcannonz> translate<-154,210,-15>}
 translate<132,-283,11>
 rotate<rhombro_derx,rhombro_dery,rhombro_derz>
 translate<-132,283,-11>
 }
 //Cabeza
 object{cabina translate<-0,-308,-0> rotate<rcabinax,rcabinay,rcabinaz> translate<0,308,0>}
translate<-8,-265,-9>
rotate<rpectoralx,rpectoraly,rpectoralz>
translate<8,265,11>
}

 //Parte inferior del mech . . .

union{
  object{cadera}
  union{
    object{muslo_iz}
    union{
      object{pierna_iz}
      object{
        pie_iz
        translate<-91,-42,80>
        rotate<rpie_izx,rpie_izy,rpie_izz>
        translate<91,42,-80>
      }
    translate<-92,-136,-76>
    rotate<rpierna_izx,rpierna_izy,rpierna_izz>
    translate<92,136,76>
    }
  translate<-95,-192,17>
  rotate<rmuslo_izx,rmuslo_izy,rmuslo_izz>
  translate<95,192,17>
  }

  union{
    object{muslo_der}
    union{
      object{pierna_der}
      object{
        pie_der
        translate<81,-46,-50>
        rotate<rmuslo_derx,rmuslo_dery,rmuslo_derz>
        translate<-81,46,50>
      }
    translate<79,-136,-76>
    rotate<rpierna_derx,rpierna_dery,rpierna_derz>
    translate<-79,136,76>
    }
  translate<74,-186,17>
  rotate<rmuslo_derx,rmuslo_dery,rmuslo_derz>
  translate<-74,186,-17>
  }

translate<-10,-187,-9>
rotate<rcaderax,rcaderay,rcaderaz>
translate<10,187,9>
}
}
translate<0,-30,0>
}
