//////////////////////////////////TEXTURAS///////////////////////////////////

#declare metal = texture{pigment{rgb<.9,.9,.9>}
                         finish{metallic on specular 1.4 roughness .01 brilliance 6 ambient .2}
                         }

#declare tex_ala = texture{pigment{rgb<.6,.6,.6>}
                           finish{metallic on phong .2}
                           }

#declare tex_fusibles = texture{pigment{image_map{gif "fusibles.gif"} rotate <-90,0,0> scale<1/3,1,1/6>}}


#declare metal_brillo = texture{pigment{rgb<.3,.3,.3>}
                                finish{brilliance 4 specular 1.2 roughness .01 metallic on}
                                }

#declare tex_sensor = texture{pigment{image_map{ gif "sensores.gif" map_type 1}
                                                      }
                                              finish{specular .7 roughness .01}
                                              }

#declare metal_motor = texture{pigment{//rgb<.5,.5,.5>}
                               image_map{gif "alamap2.gif"} rotate y*-90 scale<10/6,2,10/6> translate y*-1}
                               finish{metallic specular .3 roughness .01 brilliance 2}
                               normal{bump_map{gif "alabump2.gif" bump_size 2} rotate y*-90 scale<10/6,2,10/6> translate y*-1}
                               scale 2}

 #declare suciedad = texture{pigment{rgb<.6,.4,.2>}
                             finish{crand .1}
                             normal{bump_map{gif "alabump2.gif"} rotate y*-90 scale<10/6,2,10/6> translate y*-1}
                             }

#declare tex_motor = texture{bozo texture_map{[0 metal_motor]
                                              [.4 metal_motor]
                                              [1 suciedad]
                                              }
                             scale .5}


#declare tex_plasma = texture{pigment{rgb<.6,.7,1>}
                          finish{diffuse 0 ambient 1}
                          }

/////////////////////////////////OBJETOS//////////////////////////////////////

#declare motor = union{mesh{triangle{<0,0,0><1/6,2/3,-2/3><-1/6,2/3,-2/3>}
                           triangle{<0,0,0><1/6,2/3,-2/3><1/6,-2/3,-2/3>}
                           triangle{<0,0,0><1/6,2/3,-2/3><-1/6,2/3,-2/3>}
                           triangle{<0,0,0><-1/6,-2/3,-2/3><-1/6,2/3,-2/3>}
                           triangle{<0,0,0><-1/6,-2/3,-2/3><1/6,-2/3,-2/3>}
                           triangle{<-1/6,0,-2/3><-1/3,1/2,-4/3><-1/3,-1/2,-4/3>}
                           triangle{<1/6,0,-2/3><1/3,1/2,-4/3><1/3,-1/2,-4/3>}
                           triangle{<-1/6,0,-2/3><-1/3,1/2,-4/3><-1/6,2/3,-2/3>}
                           triangle{<1/6,0,-2/3><1/3,1/2,-4/3><1/6,2/3,-2/3>}
                           triangle{<-1/6,0,-2/3><-1/6,-2/3,-2/3><-1/3,-1/2,-4/3>}
                           triangle{<1/6,0,-2/3><1/6,-2/3,-2/3><1/3,-1/2,-4/3>}
                           triangle{<-1/6,1,-4/3><-1/3,1/2,-4/3><-1/6,2/3,-2/3>}
                           triangle{<1/6,1,-4/3><1/3,1/2,-4/3><1/6,2/3,-2/3>}
                           triangle{<-1/6,-1,-4/3><-1/6,-2/3,-2/3><-1/3,-1/2,-4/3>}
                           triangle{<1/6,-1,-4/3><1/6,-2/3,-2/3><1/3,-1/2,-4/3>}
                           triangle{<-1/6,1,-4/3><1/6,1,-4/3><1/6,2/3,-2/3>}
                           triangle{<1/6,2/3,-2/3><-1/6,2/3,-2/3><-1/6,1,-4/3>}
                           triangle{<-1/6,-1,-4/3><1/6,-1,-4/3><1/6,-2/3,-2/3>}
                           triangle{<1/6,-2/3,-2/3><-1/6,-2/3,-2/3><-1/6,-1,-4/3>}
                           }
                      difference{prism{linear_sweep 0,-1/3 9 <-1/6,-1><-1/3,-1/2><-1/3,1/2>
                                                    <-1/6,1><1/6,1><1/3,1/2><1/3,-1/2>
                                                    <1/6,-1><-1/6,-1>
                                                    rotate x*90
                                                    translate z*-4/3
                                                    }
                                 sphere{<0,0,0>1 scale<1/3,1/4,1/12> translate<0,1/4,-5/3>}
                                 sphere{<0,0,0>1 scale<1/3,1/4,1/12> translate<0,-1/4,-5/3>}
                                 sphere{<0,0,0>1 scale<5/24,1/4,1/12> translate<0,3/4,-5/3>}
                                 sphere{<0,0,0>1 scale<5/24,1/4,1/12> translate<0,-3/4,-5/3>}
                                 }
                      difference{box{<-1/6,-1/3,-4/3><1/6,0,0>}
                                 box{<-1/6.6,-1,-4/3><1/6.6,-0.01,1>}
                                 plane{<0,1,-1>,0}
                                 translate y*1
                                 }
                      light_source{<0,1/4,-1.7> rgb<.5,.5,1> fade_distance 1 fade_power 3}
                      light_source{<0,-1/4,-1.7> rgb<.5,.5,1> fade_distance 1 fade_power 3}
                      light_source{<0,3/4,-1.7> rgb<.5,.5,1> fade_distance 1 fade_power 3}
                      light_source{<0,-3/4,-1.7> rgb<.5,.5,1> fade_distance 1 fade_power 3}
                      light_source{<0,3/4,-0.3> rgb<.5,.5,1> fade_distance 1 fade_power 3}
                      texture{tex_motor}}
#declare turbinas = union{difference{cylinder{<0,0,0>,<0,0,1/2>1 scale<1/3.9,1/5.2,1> translate<0,-1/4,-5/3>}
                                    cylinder{<0,0,0>,<0,0,2>1 scale<1/4.2,1/5.6,1> translate<0,-1/4,-2>}
                                    texture{tex_motor}
                                    }
                         difference{cylinder{<0,0,0>,<0,0,1/2>1 scale<1/3.9,1/5.2,1> translate<0,1/4,-5/3>}
                                    cylinder{<0,0,0>,<0,0,2>1 scale<1/4.2,1/5.6,1> translate<0,1/4,-2>}
                                    texture{tex_motor}
                                    }
                         difference{cylinder{<0,0,0>,<0,0,1/2>1 scale<5/33.6,1/5.2,1> translate<0,-3/4,-5/3>}
                                    cylinder{<0,0,0>,<0,0,2>1 scale<5/36,1/5.6,1> translate<0,-3/4,-2>}
                                    texture{tex_motor}
                                    }
                         difference{cylinder{<0,0,0>,<0,0,1/2>1 scale<5/33.6,1/5.2,1> translate<0,3/4,-5/3>}
                                    cylinder{<0,0,0>,<0,0,2>1 scale<5/36,1/5.6,1> translate<0,3/4,-2>}
                                    texture{tex_motor}
                                    }
                         difference{cylinder{<0,3/4,-4/3><0,3/4,-1/3>1/6.6}
                                    cylinder{<0,3/4,-4/3><0,3/4,0>1/7.2}
                                    texture{tex_motor}
                                    }
                         cylinder{<0,0,0>,<0,0,1/4>1 scale<1/4.2,1/5.6,1> translate<0,1/4,-5/3.1> texture{tex_plasma}}
                         cylinder{<0,0,0>,<0,0,1/4>1 scale<1/4.2,1/5.6,1> translate<0,-1/4,-5/3.1> texture{tex_plasma}}
                         cylinder{<0,0,0>,<0,0,1/4>1 scale<5/36,1/5.6,1> translate<0,3/4,-5/3.1> texture{tex_plasma}}
                         cylinder{<0,0,0>,<0,0,1/4>1 scale<5/36,1/5.6,1> translate<0,-3/4,-5/3.1> texture{tex_plasma}}
                         cylinder{<0,3/4,-4/3><0,3/4,-1/2.7>1/7.2 texture{tex_plasma}}
                         }

#declare motor_ala = union{object{motor}
                           object{turbinas}
                           }

#declare base = prism{linear_sweep 1/24, -1/24 8 <1/2,0><3/2,-1/2><1,-2/3><0,-2><-1,-2/3><-3/2,-1/2><-1/2,0><1/2,0>
                      texture{tex_ala}
                      }

 #declare laser = union{cylinder{<1/2,0,-1/3><1,0,-1/3>1/20}
                        sphere{<1/2,0,-1/3>1/20}
                        sphere{<1,0,-1/3>1/20}
                        cylinder{<11/20,0,-1/3><11/20,0,0>1/20}
                        cylinder{<11/20,0,0><11/20,0,1/40>1/40 pigment{rgb<0,0,0>}}
                        sphere{<11/20,0,-1/3>1/20}
                        cylinder{<19/20,0,-1/3><19/20,0,-1/6>1/20}
                        cylinder{<19/20,0,-1/6><19/20,0,-17/120>1/40 pigment{rgb<0,0,0>}}
                        sphere{<19/20,0,-1/3>1/20}
                        cylinder{<9/12,0,-1/3><9/12,0,-1/12>1/20}
                        cylinder{<9/12,0,-1/12><9/12,0,-7/120> 1/40 pigment{rgb<0,0,0>}}
                        sphere{<9/12,0,-1/3> 1/20}
                        texture{metal_brillo}
                        }

 #declare laserfuego1 = union{cylinder{<1/2,0,-1/3><1,0,-1/3>1/20}
                        sphere{<1/2,0,-1/3>1/20}
                        sphere{<1,0,-1/3>1/20}
                        cylinder{<11/20,0,-1/3><11/20,0,0>1/20}
                        cylinder{<11/20,0,0><11/20,0,1/40>1/40 pigment{rgb<0,0,0>}}
                        cylinder{<11/20,0,0><11/20,0,6> 1/80 texture{pigment{rgb<1,0,0>}
                                                                       finish{ambient 1 diffuse 0}
                                                                       }
                                no_shadow}
                        light_source{<11/20,0,0> rgb<1,0,0> fade_distance .5 fade_power 3}
                        sphere{<11/20,0,-1/3>1/20}
                        cylinder{<19/20,0,-1/3><19/20,0,-1/6>1/20}
                        cylinder{<19/20,0,-1/6><19/20,0,-17/120>1/40 pigment{rgb<0,0,0>}}
                        /*cylinder{<19/20,0,-1/6><19/20,0,100>1/80 texture{pigment{rgb<0,1,0>}
                                                                       finish{ambient 1 diffuse 0}
                                                                       }
                                 no_shadow}*/
                        sphere{<19/20,0,-1/3>1/20}
                        cylinder{<9/12,0,-1/3><9/12,0,-1/12>1/20}
                        cylinder{<9/12,0,-1/12><9/12,0,-7/120> 1/40 pigment{rgb<0,0,0>}}
                        /*cylinder{<9/12,0,-1/12><9/12,0,100>1/80 texture{pigment{rgb<0,0,1>}
                                                                       finish{ambient 1 diffuse 0}
                                                                       }
                                no_shadow}*/
                        sphere{<9/12,0,-1/3> 1/20}
                        texture{metal_brillo}
                        }

#declare laserfuego2 = union{cylinder{<1/2,0,-1/3><1,0,-1/3>1/20}
                        sphere{<1/2,0,-1/3>1/20}
                        sphere{<1,0,-1/3>1/20}
                        cylinder{<11/20,0,-1/3><11/20,0,0>1/20}
                        cylinder{<11/20,0,0><11/20,0,1/40>1/40 pigment{rgb<0,0,0>}}
                        /*cylinder{<11/20,0,0><11/20,0,6> 1/80 texture{pigment{rgb<1,0,0>}
                                                                       finish{ambient 1 diffuse 0}
                                                                       }
                                no_shadow}
                        light_source{<11/20,0,0> rgb<1,0,0> fade_distance .5 fade_power 3}*/
                        sphere{<11/20,0,-1/3>1/20}
                        cylinder{<19/20,0,-1/3><19/20,0,-1/6>1/20}
                        cylinder{<19/20,0,-1/6><19/20,0,-17/120>1/40 pigment{rgb<0,0,0>}}
                        cylinder{<19/20,0,-1/6><19/20,0,100>1/80 texture{pigment{rgb<0,1,0>}
                                                                       finish{ambient 1 diffuse 0}
                                                                       }
                                 no_shadow}
                        light_source{<19/20,0,-1/3> rgb<0,1,0> fade_distance 1 fade_power 3}
                        sphere{<19/20,0,-1/3>1/20}
                        cylinder{<9/12,0,-1/3><9/12,0,-1/12>1/20}
                        cylinder{<9/12,0,-1/12><9/12,0,-7/120> 1/40 pigment{rgb<0,0,0>}}
                        /*cylinder{<9/12,0,-1/12><9/12,0,100>1/80 texture{pigment{rgb<0,0,1>}
                                                                       finish{ambient 1 diffuse 0}
                                                                       }
                                no_shadow}*/
                        sphere{<9/12,0,-1/3> 1/20}
                        texture{metal_brillo}
                        }

 #declare caja_fusibles = box{<0,-1/19,-1/6><1/3,1/19,0> texture{tex_fusibles}}

 #declare ala = union{object{base}
                      object{motor_ala translate<0,1,5/3> rotate z*-90 rotate y*20 translate<1/3,0,-3/2>}
                      object{motor_ala translate<0,1,5/3> rotate z*90 rotate y*-20 translate<-1/3,0,-3/2>}
                      object{caja_fusibles rotate y*-20 translate<1/3,0,-2/3>}
                      union{cylinder{<1/2,0,-2/3><2/3,0,-1/3> 1/20}
                            cylinder{<1/2,0,-2/3><3/2,0,-1.5> 1/20}
                            cylinder{<1/2,0,-2/3><0,0,0> 1/20}
                            texture{metal_brillo}
                            }
                      object{caja_fusibles rotate y*-20 translate<1/3,0,-2/3> scale<-1,1,1>}
                      union{cylinder{<1/2,0,-2/3><2/3,0,-1/3> 1/20}
                            cylinder{<1/2,0,-2/3><3/2,0,-1.5> 1/20}
                            cylinder{<1/2,0,-2/3><0,0,0> 1/20}
                            scale <-1,1,1>
                            texture{metal_brillo}
                            }
                      object{laser}
                      object{laser scale<-1,1,1>}
                      }
 #declare alafuego1 = union{object{base}
                      object{motor_ala translate<0,1,5/3> rotate z*-90 rotate y*20 translate<1/3,0,-3/2>}
                      object{motor_ala translate<0,1,5/3> rotate z*90 rotate y*-20 translate<-1/3,0,-3/2>}
                      object{caja_fusibles rotate y*-20 translate<1/3,0,-2/3>}
                      union{cylinder{<1/2,0,-2/3><2/3,0,-1/3> 1/20}
                            cylinder{<1/2,0,-2/3><3/2,0,-1.5> 1/20}
                            cylinder{<1/2,0,-2/3><0,0,0> 1/20}
                            texture{metal_brillo}
                            }
                      object{caja_fusibles rotate y*-20 translate<1/3,0,-2/3> scale<-1,1,1>}
                      union{cylinder{<1/2,0,-2/3><2/3,0,-1/3> 1/20}
                            cylinder{<1/2,0,-2/3><3/2,0,-1.5> 1/20}
                            cylinder{<1/2,0,-2/3><0,0,0> 1/20}
                            scale <-1,1,1>
                            texture{metal_brillo}
                            }
                      object{laser}
                      object{laserfuego1 scale<-1,1,1>}
                      }

 #declare alafuego2 = union{object{base}
                      object{motor_ala translate<0,1,5/3> rotate z*-90 rotate y*20 translate<1/3,0,-3/2>}
                      object{motor_ala translate<0,1,5/3> rotate z*90 rotate y*-20 translate<-1/3,0,-3/2>}
                      object{caja_fusibles rotate y*-20 translate<1/3,0,-2/3>}
                      union{cylinder{<1/2,0,-2/3><2/3,0,-1/3> 1/20}
                            cylinder{<1/2,0,-2/3><3/2,0,-1.5> 1/20}
                            cylinder{<1/2,0,-2/3><0,0,0> 1/20}
                            texture{metal_brillo}
                            }
                      object{caja_fusibles rotate y*-20 translate<1/3,0,-2/3> scale<-1,1,1>}
                      union{cylinder{<1/2,0,-2/3><2/3,0,-1/3> 1/20}
                            cylinder{<1/2,0,-2/3><3/2,0,-1.5> 1/20}
                            cylinder{<1/2,0,-2/3><0,0,0> 1/20}
                            scale <-1,1,1>
                            texture{metal_brillo}
                            }
                      object{laserfuego2}
                      object{laser scale<-1,1,1>}
                      }

#declare espina = difference{cylinder{<-0.01,0,0><0.01,0,0> 0.06}
                             cylinder{<-1,0,0><1,0,0> 1 scale<1,.01,.065>}
                             plane{-y,0}
                             translate y*.03
                             texture{metal}
                             }

#declare sensores = union{ sphere{<0,0,0> .5 texture{tex_sensor}}
                           torus{ .5 .04 texture{metal_brillo}}
                           difference{torus{.5 .04 rotate z*90}
                                      plane{y,0}
                                      texture{metal_brillo}
                                      }
                           #declare cosas = 0
                           #while (cosas < 10)
                           object{espina scale<1,(cosas/5)+1,(cosas/5)+1> translate z*.5 rotate x*-(cosas*15)texture{metal}}
                           #declare cosas = cosas + 1
                           #end
                           #declare cosas = 0
                           #while (cosas < 10)
                           object{espina scale<1,(cosas/5)+1,(cosas/5)+1> rotate z * 90 translate z*.5 rotate y*-(cosas*15)}
                           #declare cosas = cosas + 1
                           #end
                           #declare cosas = 0
                           #while (cosas < 10)
                           object{espina scale<1,(cosas/5)+1,(cosas/5)+1> rotate z*-90 translate z*.5 rotate y*(cosas*15)}
                           #declare cosas = cosas + 1
                           #end
                           }

#declare antena = union{cylinder{<0,1/6,-1.7><0,1/6,-2.2> .05 texture{metal_brillo}}
                        sphere{<0,1/6,-1.7> .05 texture{metal_brillo}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.01> texture{metal}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.03> texture{metal}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.05> texture{metal}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.07> texture{metal}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.09> texture{metal}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.14> texture{metal}}
                        torus{ .05,.01 rotate x*90 translate<0,1/6,-2.18> texture{metal}}
                        cone{<0,1/6,-2.2>.01 <0,1/6,-3.5> 0 texture{tex_ala}}
                        }

#declare mosca = union{object{ala rotate z*45}
                       object{ala rotate z*-45}
                       object{sensores}
                       object{antena}
                       }


#declare mosca1 = union{object{ala rotate z*45}
                      object{alafuego1 rotate z*-45}
                      object{sensores}
                      object{antena}
                      }

#declare mosca2 = union{object{ala rotate z*45}
                      object{alafuego2 rotate z*-45}
                      object{sensores}
                      object{antena}
                      }
//////////////////////////////////////////////////////////////////////////////////


