//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 9 textures and 34 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 08/03/1998    (03.08.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray V3.01 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera OJO_QUE_TODO_VE
  location  <-28.601, 13.351, 6.910>
  direction <0.0,     0.0,  2.4710>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <39.300, 10.750, 1.000>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <0.000, -0.100, 0.000>
  direction <0.0,     0.0,  1.8660>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <-9.408, 13.348, 5.762>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light2
  <26.600, 10.800, 23.650>
  color rgb <1.000, 1.000, 1.000>
  atmospheric_attenuation on
}


//
// ********  TEXTURES  *******
//

#include "4pcman.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//





box { // pared
  <-1, -1, -1>, <1, 1, 1>
  texture {
    blanca_a_secas
  }
  scale <75.0, 50.0, 50.0>
  translate  <28.6, 11.4, 2.4>
}


#declare PEQUES = union {
  box { // IZQUIERDAP
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <4.0, 2.5, 0.1>
    rotate <90.0, -0.0, 0.0>
    translate  <-89.750001, -11.1, -4.75>
  }
  box { // DERECHAP
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <4.0, 2.5, 0.1>
    rotate <0.0, 0.0, 0.0>
    translate  <-89.750001, -13.65, -7.15>
  }
  scale 0.5
  rotate <-0.0, 0.0, 90.0>
  translate  <-4.45, 44.850001, 1.0>
}
#declare maderas = union {
  box { // ARRIBA
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <3.0, 4.0, 0.2>
    rotate 90.0*z
  }
  box { // DERECHA
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <2.0, 2.0, 0.2>
    rotate <90.0, -0.0, 90.0>
    translate  <3.8, 0.0, -2.2>
  }
  box { // IZQUIERDA
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <2.0, 2.0, 0.2>
    rotate <90.0, -0.0, 90.0>
    translate  <-3.8, 0.0, -2.2>
  }
  object { PEQUES }
  box { // IZQUIERDA1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <2.0, 2.35, 0.15>
    rotate <0.0, 0.0, 90.0>
    translate  <-1.3, -2.15, -1.4>
  }
  rotate <0.0, 0.0, -90.0>
  translate  <7.5, 6.4, -0.55>
}
#declare picaporte = union {
  cylinder { // papicaporte
    <0,0,1>, <0,0,0>, 1 
    texture {
      negra_brillante
    }
    scale 0.1
    rotate <90.0, -70.0, -90.0>
    translate  <24.05, 9.8, -2.05>
  }
  sphere { // bolita
    <0,0,0>,1
    texture {
      negra_brillante
    }
    scale 0.1
    translate  <23.95, 9.8, -2.05>
  }
  scale 1.5
  translate  <-12.0, -4.7, 0.95>
}
#declare cajon = union {
  box { // caja
    <-1, -1, -1>, <1, 1, 1>
    texture {
      DMFDarkOak1
    }
    scale <2.0, 2.4, 0.6>
    rotate <0.0, -0.0, 0.0>
    translate  <26.05, 9.85, -2.1>
  }
  object { picaporte }
  scale <0.5, 0.51, 0.5>
  rotate -0.0*x
  translate  <-6.55, -1.0, -0.05>
}
#declare escritorio = union {
  object { maderas }
  object { cajon }
  texture {
    DMFLightOak1
  }
  scale 2.0
  translate  <13.05, -0.15, 0.3>
}
#declare base_entera = union {
  sphere { // base
    <0,0,0>,1
    texture {
      masblanco
    }
    scale <1.0, 1.0, 0.19>
    translate  <0.0, 7.9, -0.3>
  }
  sphere { // base1
    <0,0,0>,1
    texture {
      masblanco
    }
    scale <1.0, 0.5, 0.2>
    translate  <0.0, 7.9, -0.05>
  }
  texture {
    masblanco
  }
  translate  <26.3, 1.6, -0.1>
}
#declare monitor1 = lathe {
  linear_spline
  4  // control points
  <-0.010017, -1.02149>,
  <1.191888, -1.035862>,
  <1.18339, 1.001381>,
  <0.032962, 1.0>
  rotate <90,0,90>
  texture {
    masblanco
  }
  scale <2.0, 1.1, 1.1>
  translate  <25.85, 9.4, 0.9>
}
#declare monitodentro = lathe {
  linear_spline
  4  // control points
  <-0.010017, -1.02149>,
  <1.191888, -1.035862>,
  <1.18339, 1.001381>,
  <0.032962, 1.0>
  rotate <90,0,90>
  texture {
    negra_brillante
  }
  scale <1.0, 0.85, 0.85>
  translate  <24.6, 9.45, 0.85>
}
#declare tele = union {
  object { monitor1 }
  object { monitodentro }
  cylinder { // boton_monitor
    <0,0,1>, <0,0,0>, 1 
    texture {
      masblanco1
    }
    scale <0.075, 0.075, 0.05>
    rotate <0.0, -90.0, 0.0>
    translate  <23.45, 8.475, -0.125>
  }
  translate  <1.5, 0.1, 0.15>
}
#declare ordenador = union {
  object { base_entera }
  object { tele }
  scale <1.0, 2.0, 2.0>
  translate  <2.5, -11.5, 0.4>
}
#declare tapas = union {
  box { // paimpresora
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <2.0, 3.5, 1.2>
    translate  <1.5, -6.95, -1.45>
  }
  box { // tapa
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.15, 2.0, 2.0>
    rotate <0.0, -90.0, 0.0>
    translate  <-3.05, -6.9, -2.15>
  }
  rotate 0.0*z
  translate  <-0.7, -0.7, 0.0>
}
#declare botones = union {
  cylinder { // button
    <0,0,1>, <0,0,0>, 1 
    texture {
      masblanco
    }
    scale <0.05, 0.2, 1.0>
    rotate <0.0, -90.0, 0.0>
    translate  <0.8, -8.5, -2.4>
  }
  cylinder { // button3
    <0,0,1>, <0,0,0>, 1 
    texture {
      masblanco
    }
    scale <0.05, 0.2, 1.0>
    rotate <0.0, -90.0, 0.0>
    translate  <0.8, -8.5, -2.15>
  }
  cylinder { // button1
    <0,0,1>, <0,0,0>, 1 
    texture {
      masblanco
    }
    scale <0.1, 0.15, 1.0>
    rotate <0.0, -90.0, 0.0>
    translate  <0.8, -9.15, -2.3>
  }
  texture {
    masblanco
  }
  translate  <-1.85, -1.6, 0.25>
}
#declare portapapeles = union {
  box { // principal
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco1
    }
    scale <0.2, 1.7, 2.0>
    rotate -0.0*z
    translate  <74.200001, 122.450002, 5.3>
  }
  box { // principal2
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.2, 0.5, 0.1>
    rotate <90.0, -0.0, 90.0>
    translate  <73.900001, 124.350002, 3.8>
  }
  box { // principal3
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.2, 0.5, 0.1>
    rotate <90.0, -0.0, 90.0>
    translate  <74.800001, 120.550002, 3.8>
  }
  box { // principal4
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.025, 0.5, 0.1>
    rotate <90.0, -0.0, 90.0>
    translate  <74.300001, 125.150002, 3.8>
  }
  box { // enloalto
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.125, 0.7, 1.0>
    rotate -0.0*x
    translate  <74.100001, 122.450002, 7.3>
  }
  box { // enloalto1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.125, 0.5, 1.0>
    rotate -90.0*x
    translate  <74.550001, 124.150002, 3.8>
  }
  box { // sacafolios
    <-1, -1, -1>, <1, 1, 1>
    texture {
      negra_brillante
    }
    hollow
    scale <0.1, 1.9, 0.1>
    rotate <-0.0, 0.0, -0.0>
    translate  <70.500001, 122.450002, 1.65>
  }
  rotate <0.0, 0.0, 0.0>
  translate  <-72.000001, -130.050002, -3.55>
}
#declare efectobajada = union {
  box { // desplazaimpre1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.5, 0.7, 0.2>
    rotate -45.0*y
    translate  <25.8, 13.95, 0.1>
  }
  box { // desplazaimpre
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.5, 0.65, 0.2>
    rotate -45.0*y
    translate  <25.8, 19.5, 0.1>
  }
  rotate -0.0*x
  translate  <-27.1, -24.35, -2.25>
}
#declare impresora = union {
  object { tapas }
  object { botones }
  object { portapapeles }
  object { efectobajada }
  rotate -0.0*z
  translate  <29.65, 24.35, 2.25>
}
#declare teclado_entero = union {
  box { // teclado
    <-1, -1, -1>, <1, 1, 1>
    texture {
      masblanco
    }
    scale <0.175, 4.0, 2.0>
    rotate <180.0, 80.0, 180.0>
    translate  <21.5, 15.2, -3.5>
  }
  rotate -10.0*y
  translate  <-0.25, 0.0, -3.4>
}
#declare relativos_addd = union {
  plane { // SUELO
    z,0
    texture {
      Brown_Agate1
      translate <0.000000, 0.000000, 1.000000>
    }
    scale <5.0, 5.0, 1.0>
    rotate <0.0, -0.0, 0.0>
    translate  <27.95, 12.65, -9.2>
  }
  rotate <-0.0, 0.0, 0.0>
}
//
// Include file contains 'newraton'
//
#include "4pcman.in1"
#declare newraton = object {
  newraton_Raw
  texture {
    masblanco
  }
  scale <1.0, 0.5, 1.0>
  rotate <-0.0, 0.0, 0.0>
  translate  <26.05, 11.55, 0.6>
}
union { // imagen
  object { escritorio }
  object { ordenador }
  object { impresora }
  object { teclado_entero }
  object { relativos_addd }
  object { newraton }
  rotate <0.0, -0.0, 0.0>
  translate  <0.0, 0.4, 3.4>
}


